/**
 * The request payload for getDeviceFingerprint
 *
 */
export interface GetDeviceFingerprintRequest {
  /**
   * The intent id that you would like to pay
   */
  intent_id?: string;
  /**
   * The airwalllex env that you would like to integrate. for example: 'staging' | 'demo' | 'prod'
   */
  env?: string;
  /**
   * Will it owerride the previous risk js, default true
   */
  overrideScript?: boolean;
}

/**
 * Method to collect device fingerprint
 */
export declare const getDeviceFingerprint: (props: GetDeviceFingerprintRequest) => string;
